Revoke all customer impersonation tokens

Revokes every active customer impersonation token that your API account has issued. Only tokens issued by the API account making the request are revoked, and only tokens in this family (matching the path segment); tokens issued by another API account and tokens of other families are unaffected. Revocation can take up to approximately 60 seconds to fully propagate because revoked identifiers are held in a short-lived cache, so a revoked token may briefly continue to authenticate. **Required Scopes** * `Manage` `Storefront API Customer Impersonation Tokens`

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Storefront API Customer Impersonation Tokens | manage | `store_storefront_api_customer_impersonation` | | Storefront API Tokens | manage | `store_storefront_api` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

All customer impersonation tokens issued by this API account have been revoked.